WSNotification::Elements::Filter(3)

NAME
WSNotification::Elements::Filter

DESCRIPTION
Perl data type class for the XML Schema defined element Filter from the namespace http://docs.oasis-open.org/wsn/b-2.

METHODS

  new
 my $element = WSNotification::Elements::Filter->new($data);

Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::FilterType
   TopicExpression =>  { # WSNotification::Types::TopicExpressionType
   },
   MessageContent =>  { # WSNotification::Types::QueryExpressionType
   },
 },

AUTHOR
Generated by SOAP::WSDL